<?php

$FormClasses = array(
  'NewPayment' => array(
    'Title' => 'Nová platba',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 3),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Vklad'),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotovost', 'Default' => '0'),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Ovlivňující daňový základ', 'Default' => '1'),
      //'BankAccount' => array('Type' => 'TBankAccount', 'Caption' => 'Bankovní účet', 'Default' => '1'),
    ),
  ),
  'NewInvoice' => array(
    'Title' => 'Nová faktura',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 5),
      'TimeCreation' => array('Type' => 'Time', 'Caption' => 'Čas vytvoření', 'Default' => 'Now'),
      'TimeDue' => array('Type' => 'Time', 'Caption' => 'Čas splatnosti', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Nákup zařízení'),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      //'Items' => array('Type' => 'Array', 'Caption' => 'Položky', 'ItemClass' => 'FinanceInvoiceItem'),
    ),
  ),
  'FinanceInvoiceItem' => array(
    'Title' => 'Položka faktury',
    'Items' => array(
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Položka'),
      'Quantity' => array('Type' => 'Integer', 'Caption' => 'Množství', 'Default' => '1'),
      'Tax' => array('Type' => 'Integer', 'Caption' => 'Daň [%]', 'Default' => '19'),
    ),
  ),
  'Measure' => array(
    'Title' => 'Měření',
    'Table' => 'Measure',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Zkratka', 'Default' => 'measure'),
      'Title' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => 'Měření'),
      'Description' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Měření veličiny'),
      'Unit' => array('Type' => 'String', 'Caption' => 'Jednotka', 'Default' => ''),
      'Continuity' => array('Type' => 'Boolean', 'Caption' => 'Spojitost', 'Default' => '0'),
      'Period' => array('Type' => 'Integer', 'Caption' => 'Perioda měření', 'Default' => '60'),
      'PermissionAdd' => array('Type' => 'String', 'Caption' => 'Oprávnění k měření', 'Default' => 'localhost.localdomain'),
      'PermissionView' => array('Type' => 'String', 'Caption' => 'Oprávnění k prohlížení', 'Default' => 'all'),
      'Enabled' => array('Type' => 'Boolean', 'Caption' => 'Povolení', 'Default' => '1'),
      'DataType' => array('Type' => 'String', 'Caption' => 'Typ datových položek', 'Default' => 'int'),
      'DataTable' => array('Type' => 'String', 'Caption' => 'Tabulka měřených dat', 'Default' => 'data'),
    ),
  ),
  'UserOptions' => array(
    'Title' => 'Základní nastavení',
    'Table' => 'User',
    'SubmitText' => 'Uložit',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'UserRegister' => array(
    'Title' => 'Registrace uživatele',
    'SubmitText' => 'Registrovat',
    'Table' => 'User',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Password2' => array('Type' => 'Password', 'Caption' => 'Potvrzení hesla', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'MemberOptions' => array(
    'Title' => 'Nastavení domácnosti',
    'Table' => '(SELECT Member.Id, Member.InternetTariffNextMonth, Member.FamilyMemberCount, Subject.Name, Subject.AddressStreet, Subject.AddressTown, Subject.AddressPSC, Subject.IC, Subject.DIC FROM Member JOIN Subject ON Subject.Id = Member.Subject)',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Fakturační jméno', 'Default' => ''),
      'AddressStreet' => array('Type' => 'String', 'Caption' => 'Ulice', 'Default' => 'Zděchov'),
      'AddressTown' => array('Type' => 'String', 'Caption' => 'Město', 'Default' => 'Zděchov'),
      'AddressPSC' => array('Type' => 'String', 'Caption' => 'PSČ', 'Default' => '75607'),
      'IC' => array('Type' => 'String', 'Caption' => 'IČ', 'Default' => ''),
      'DIC' => array('Type' => 'String', 'Caption' => 'DIČ', 'Default' => ''),
      'FamilyMemberCount' => array('Type' => 'Integer', 'Caption' => 'Počet osob v domácnosti', 'Default' => ''),
      'BillingPeriodNext' => array('Type' => 'TFinanceBillingPeriod', 'Caption' => 'Požadované fakturované období', 'Default' => ''),
      'InternetTariffNextMonth' => array('Type' => 'TFinanceTariff', 'Caption' => 'Tarif internetu od dalšího období', 'Default' => 2),
    ),
  ),
  'PasswordRecovery' => array(
    'Title' => 'Obnova hesla',
    'SubmitText' => 'Obnovit',
    'Table' => '',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
    ),
  ),
  'UserLogin' => array(
    'Title' => 'Přihlášení uživatele',
    'SubmitText' => 'Přihlásit',
    'Table' => '',
    'Items' => array(
      'Username' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDevice' => array(
    'Title' => 'Vložit nové zařízení',
    'Table' => 'Product',
    'Items' => array(
      'name' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),
      'price' => array('Type' => 'Float', 'Caption' => 'Cena', 'Default' => 0),
      'count' => array('Type' => 'Integer', 'Caption' => 'Počet', 'Default' => 1),
      'date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'segment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Segment sítě', 'Default' => 0),
      'date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'used' => array('Type' => 'TNetworkDeviceState', 'Caption' => 'Stav', 'Default' => 0),
      'consumption' => array('Type' => 'Integer', 'Caption' => 'Spotřeba', 'Default' => 0),
      'user' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'info' => array('Type' => 'String', 'Caption' => 'Poznámky', 'Default' => ''),
      'shop' => array('Type' => 'String', 'Caption' => 'Obchod', 'Default' => ''),
      'device_id' => array('Type' => 'String', 'Caption' => 'Sériové číslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDeviceHistory' => array(
    'Title' => 'Vložit záznam historie zařízení',
    'Table' => 'NetworkDeviceHistory',
    'Items' => array(
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => 0),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Action' => array('Type' => 'TNetworkDeviceAction', 'Caption' => 'Akce', 'Default' => 0),
      'Notice' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
    ),
  ),
  'News' => array(
    'Title' => 'Nová aktualita',
    'Table' => '',
    'SubmitText' => 'Vložit',
    'Items' => array(
      'Category' => array('Type' => 'TNewsCategory', 'Caption' => 'Kategorie', 'Default' => 0),
      'Title' => array('Type' => 'String', 'Caption' => 'Nadpis', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
      'Enclosure1' => array('Type' => 'File', 'Caption' => 'Přílohy (Max. velikost souboru 1 MB)', 'Default' => ''),
      'Enclosure2' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
      'Enclosure3' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
    ),
  ),
  'Email' => array(
    'Title' => 'Nový email',
    'Table' => 'EmailQueue',
    'SubmitText' => 'Odeslat',
    'Items' => array(
      'Address' => array('Type' => 'String', 'Caption' => 'Adresa', 'Default' => ''),
      'Subject' => array('Type' => 'String', 'Caption' => 'Předmět', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
    ),
  ),
);

$FormTypes = array(
  'TNetworkDeviceState' => array(
     'Type' => 'Enumeration',
     'States' => array('Vyřazeno', 'Použito', 'Na skladě'),
  ),
  'TNetworkDeviceAction' => array(
     'Type' => 'Enumeration',
     'States' => array('Zakoupeno', 'Prodáno', 'Zařazeno do použití', 'Vyřazeno z použití', 'Zasláno do reklamace', 'Přijato z reklamace'),
  ),
  'TFinanceTariff' => array(
     'Type' => 'Enumeration',
     'States' => array(6 => 'Zdarma', 0 => 'Pomalejší', 1 => 'Pomalý', 2 => 'Střední', 3 => 'Rychlý', 4 => 'Rychlejší'),
  ),
  'TFinanceBillingPeriod' => array(
     'Type' => 'Enumeration',
     'States' => array(2 => 'Měsíčně', 3 => 'Čtvrtletně', 4 => 'Pololetně', 5 => 'Ročně'),
  ),
  'TFinanceSubject' => array(
    'Type' => 'Reference',
    'Table' => 'Subject',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TDocumentLine' => array(
    'Type' => 'Reference',
    'Table' => 'DocumentLine',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TBankAccount' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBankAccount',
    'Id' => 'Id',
    'Name' => 'Comment',
    'Filter' => '1',
  ),
  'TNetworkDevice' => array(
    'Type' => 'Reference',
    'Table' => 'Product',
    'Id' => 'id',
    'Name' => 'name',
    'Filter' => '1',
  ),
  'TNetworkSegment' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkSegment',
    'Id' => 'id',
    'Name' => 'name',
    'Filter' => '1',
  ),
  'TNewsCategory' => array(
    'Type' => 'Reference',
    'Table' => 'NewsCategory',
    'Id' => 'Id',
    'Name' => 'Caption',
    'Filter' => '1',
  ),
);

?>
